Quassel IRC - Feature #434

show "online" as "active"
12/04/2008 01:08 PM - pennywise

Status: Rejected Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

0S: Any

Description

If you have your own buffer view with s.th. like this:

Network: All

Restrict Buffers to: Channel Buffers & Query Buffers
[X] Hide inactive Buffers

[X] Add new Buffers automatically

[X] Sort alphabetically

Minimum Activity: New Message

then you have s.th. like "unread messages"

Now I'm using bitlbee to have IM like ICQ/AIM/MSN as well, and so | have a lot of query buffers open to different contacts. With the
away/online/offline symbols | can see very good if they are online, but | always have to go into the global buffer to get to the contact |
want to chat with. When he said s.th. it's not a problem, because he's in the "unread messages"”, but if | want to start a converssation

| have to choose him from the global/general buffer.

So my feature-request is:

Add a "Show only online/away query buffer" hook, so that | have a list of IM-People currently "online".

History

#1 - 12/04/2008 01:32 PM - pennywise

Note to myself: Try more.
Here's a solution:
Create a new buffer "bitlbee".

1)
2) choose your bitlbee-network

3) Restrict buffers to: channel & query buffers
4)

5)

hook at: hide inactive, add new automatically, sort alphab.

Minimum activity: no activity

Done. An "IM"-View

#2 - 01/13/2009 08:43 PM - EgS

- Status changed from New to Rejected

As you already found a solution, I'm closing this issue.
